/*
 * Board.java --- Interface giving the definitions of chess boards.
 *
 * Copyright (c) 2001, 2002, 2003, 2004 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

public abstract class Board {
    public static class Square {
	public Square( int currentX, int currentY ) {
	    x = currentX;
	    y = currentY;
	}
	public int	x;
	public int	y;
    }

    public Board( String	name,
		  int		sizeX,
		  int		sizeY,
		  boolean	hasVerticalBorders ) {
	name_		    = name;
	sizeX_		    = sizeX;
	sizeY_		    = sizeY;
	hasVerticalBorders_ = hasVerticalBorders;
    }

    public String name() {
	return name_;
    }

    public int sizeX() {
	return sizeX_;
    }

    public int sizeY() {
	return sizeY_;
    }

    public boolean hasVerticalBorders() {
	return hasVerticalBorders_;
    }

    //--------------------------------------------------------------------------

    abstract Square nextSquare( int oldX, int oldY, int incX, int incY,
				Square next );

    //--------------------------------------------------------------------------

    private String	name_;
    protected int	sizeX_;
    protected int	sizeY_;
    private boolean	hasVerticalBorders_;
}
