/*
 * CommentPanel.java --- Class to show the text.
 *
 * Copyright (c) 2001, 2002, 2003 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

import java.awt.Font;
import java.util.Iterator;
import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class CommentPanel extends JScrollPane {

    CommentPanel( ChessGame aChessGame ) {

	chessGame = aChessGame;

	setBorder( BorderFactory.createEtchedBorder() );

	textArea = new JTextArea();
	textArea.setFont( new Font( "Courier", Font.PLAIN, 12 ) );
	textArea.setEditable( false );

	setViewportView( textArea );
	setVerticalScrollBarPolicy( JScrollPane.VERTICAL_SCROLLBAR_ALWAYS );

	chessGame.addChessGameListener( new ChessGameAdapter() {
		public void chessGameChanged() {
		    updateText();
		}
	    } );
	updateText();
    }

    private void updateText() {
	Iterator	i = chessGame.comments().iterator();
	textArea.setText( null );
	while ( i.hasNext() ) {
	    textArea.append( (String)i.next() + '\n' );
	}
    }

    private ChessGame	chessGame;
    private JTextArea	textArea;
}
