/*
 * CopyPaste.java --- Class to deal with Copy and Paste operations.
 *
 * Copyright (c) 2001, 2002, 2003 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

import java.awt.datatransfer.StringSelection;
import java.awt.Toolkit;


public class CopyPaste {

    //--------------------------------------------------------------------------
    // Constructors
    //--------------------------------------------------------------------------
    public CopyPaste( ChessGame aChessGame, MyProperties theProperties ) {
	properties = theProperties;
	chessGame  = aChessGame;
    }

    public void copy() {
	copy( properties.getProperty( MyProperties.DEFAULT_COPY_ACTION ) );
    }

    //--------------------------------------------------------------------------
    // Copy functions
    //--------------------------------------------------------------------------
    public void copy( String copyAction ) {
	Toolkit.getDefaultToolkit().
	    getSystemClipboard().setContents(
		new StringSelection( chessGame.formatOutput( copyAction ) ),
		null );
    }

    //--------------------------------------------------------------------------

    private MyProperties	properties;
    private ChessGame		chessGame;

}
