/*
 * EinsteinCondition.java --- Einstein chess game condition.
 *
 * Copyright (c) 2001, 2002, 2003 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

public class EinsteinCondition extends OrthodoxCondition {

    public String name() {
	return "einstein-condition";
    }

    //------------------------------------------------------------------------

    protected int[] listOfPromotionTypes() {
	return null;
    }

    protected int newPieceTypeMove( int type ) {
	final int[]	newPieceTypeMove = {
	    Piece.KING,
	    Piece.PAWN,
	    Piece.ROOK,
	    Piece.BISHOP,
	    Piece.KNIGHT,
	    Piece.PAWN
	};
	return newPieceTypeMove[ type ];
    }

    protected int newPieceTypeCapture( int type ) {
	final int[]	newPieceTypeCapture = {
	    Piece.KING,
	    Piece.KNIGHT,
	    Piece.QUEEN,
	    Piece.QUEEN,
	    Piece.ROOK,
	    Piece.BISHOP
	};
	return newPieceTypeCapture[ type ];
    }

}
