/*
 * Error.java --- Format and show error messages.
 *
 * Copyright (c) 2001, 2002, 2003 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

import	java.awt.Frame;
import	javax.swing.JOptionPane;
import	java.text.MessageFormat;

import wassong.gui.tools.Resources;

public final class Error {
    public static void initialise(
	Resources	theResources,
	Frame		aFrame,
	String		aProgramName ) {

	resources   = theResources;
	frame       = aFrame;
	programName = aProgramName;
    }

    public static void errorMessage(
	String	titleName,
	String	messageName,
	String	errorArgument ) {

	Object[]	args = { errorArgument };
	errorMessage( titleName, messageName, args );
    }

    public static void errorMessage(
	String		titleName,
	String		messageName,
	Object[]	errorArguments ) {

	String		title   = resources.getString( titleName );
	String		message = MessageFormat.format(
	    resources.getString( messageName ),
	    errorArguments );

	if ( programName != null ) {
	    title = programName + " - " + title;
	}

	JOptionPane.showMessageDialog(
	    frame,
	    message,
	    title,
	    JOptionPane.ERROR_MESSAGE );
    }

    //--------------------------------------------------------------------------

    private	Error() { }	// Forbids instanciation

    private static Resources	resources   = null;
    private static Frame	frame       = null;
    private static String	programName = null;
}
