/*
 * Main.java --- Main class.
 *
 * Copyright (c) 2002, 2003 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

public final class Main {

    public static void main( String[] args ) {
	try {
	    String version = System.getProperty( "java.version" );
	    if ( version.compareTo( "1.3.1" ) < 0 ) {
		System.err.println( "WARNING: Swing must be run with a "
				    + "1.3.1 or higher version VM!!!" );
	    }

	    new MainFrame();

	} catch ( Throwable t ) {
	    System.err.println( "Uncaught exception: " + t );
	    t.printStackTrace();
	}
    }

    private Main() { }

}
