/*
 * MainFrame.java --- MainFrame class.
 *
 * Copyright (c) 2002, 2003 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.ImageIcon;
import javax.swing.JFrame;

public class MainFrame extends JFrame {

    public MainFrame() {
	super( NAME );

	setBackground( Color.lightGray );
	getContentPane().setLayout( new BorderLayout() );
	final ContentPanel contentPanel = new ContentPanel( this, NAME );
	getContentPane().add( contentPanel, BorderLayout.CENTER );

	setDefaultCloseOperation( DO_NOTHING_ON_CLOSE );
	addWindowListener( new WindowAdapter() {
		public void windowClosing( WindowEvent e ) {
		    contentPanel.quit();
		}
	    } );

	ImageIcon ii = new ImageIcon(
	    ClassLoader.getSystemResource( "iNatch/resources/wPawn16.gif" ) );
	setIconImage( ii.getImage() );

	pack();
	show();
    }

    //--------------------------------------------------------------------------

    private static final String NAME = "iNatch";
}
