/*
 * StandardBoard.java --- parameters of a standard board.
 *
 * Copyright (c) 2001, 2002, 2003, 2004 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of iNatch.
 *
 * iNatch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * iNatch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package iNatch;

public class StandardBoard extends Board {
    public StandardBoard() {
	super( "standard", 8, 8, true );
    }

    public Square nextSquare( int	oldX,
			      int	oldY,
			      int	incX,
			      int	incY,
			      Square	next ) {
	int x = oldX + incX;
	int y = oldY + incY;
	if ( x < 0 || x >= sizeX_ || y < 0 || y >= sizeY_ ) {
	    return null;
	}

	if ( next == null ) {
	    return new Square( x, y );
	}
	next.x = x;
	next.y = y;
	return next;
    }
}
